Skip to Content
Account

Get unused Bitcoin address

GET/account/address/bitcoinPrivate

Get your most recently generated Bitcoin deposit address that has not received a deposit yet. If you have none, a new one is generated in the format of your settings.

Permissions: account:deposits:read

Response Body

OK

application/json
  1. response
address*string

Bitcoin address

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient({
  key: 'your-key',
  secret: 'your-secret',
  passphrase: 'your-passphrase',
})

const result = await client.account.getBitcoinAddress()
{
  "address": "bc1q..."
}